SeqPos Struct Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

| SeqPos ()
| SeqPos (const Mlfb *mlfb, size_t nextFacet, size_t previousFacet)
size_t | getForwardFacet () const
size_t | getBackFacet () const
SeqPos | getReverse () const
void | order ()
bool | operator< (const SeqPos &pos) const

## Public Attributes

const Mlfb * | mlfb
size_t | fixFacet1
size_t | fixFacet2
size_t | comingFromFacet

## Detailed Description

Definition at line 69 of file LatticeAlgs.h.

## Constructor & Destructor Documentation

## SeqPos() [1/2]

SeqPos::SeqPos | ( |  | ) |

Definition at line 1328 of file LatticeAlgs.cpp.

## SeqPos() [2/2]

SeqPos::SeqPos | ( | const Mlfb * | mlfb,
|  | size_t | nextFacet,
|  | size_t | previousFacet )

Definition at line 1329 of file LatticeAlgs.cpp.

## Member Function Documentation

## getBackFacet()

size_t SeqPos::getBackFacet | ( |  | ) | const

Definition at line 1353 of file LatticeAlgs.cpp.

## getForwardFacet()

size_t SeqPos::getForwardFacet | ( |  | ) | const

Definition at line 1345 of file LatticeAlgs.cpp.

## getReverse()

SeqPos SeqPos::getReverse | ( |  | ) | const

Definition at line 1357 of file LatticeAlgs.cpp.

## operator<()

bool SeqPos::operator< | ( | const SeqPos & | pos | ) | const

Definition at line 1374 of file LatticeAlgs.cpp.

## order()

void SeqPos::order | ( |  | ) |

Definition at line 1369 of file LatticeAlgs.cpp.

## Member Data Documentation

## comingFromFacet

size_t SeqPos::comingFromFacet

Definition at line 81 of file LatticeAlgs.h.

## fixFacet1

size_t SeqPos::fixFacet1

Definition at line 79 of file LatticeAlgs.h.

## fixFacet2

size_t SeqPos::fixFacet2

Definition at line 80 of file LatticeAlgs.h.

## mlfb

const Mlfb* SeqPos::mlfb

Definition at line 78 of file LatticeAlgs.h.

The documentation for this struct was generated from the following files:

- src/LatticeAlgs.h
- src/LatticeAlgs.cpp